2

How (if at all) can I install MariaDB 10.2 on Raspbian Stretch? I'm using the November 2017 version of Stretch Lite.

I found some instructions on how to install on Debian 9 (which I realise isn't the same thing) here: https://downloads.mariadb.org/mariadb/repositories/#mirror=coreix&distro=Debian&distro_release=stretch--stretch&version=10.2

But they didn't work. I still end up with v10.1.

Does anybody know how I can install 10.2?

2

As you can see here, MariaDB's 10.2 builds are only for i386 (32-bit), amd64 (64-bit) and ppc64el (PowerPC). Your Pi has an ARM processor which needs a particular build for that architecture.

Unfortunately, even the Debian sid (unstable) repositories don't have an ARM build for 10.2, so you can't use that (though using the unstable repositories is a little risky at the best of times for your system stability).

Since there's no package, you will have to compile MariaDB from source. Note that compiling large projects from source typically takes a few hours, and there is a chance that it won't work. If you absolutely need MariaDB 10.2, this is what you'll have to do, but you might find it a good idea to look for an alternative option if possible.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.